Last Comment Bug 978483 - Australis: "Sidebars" widget toolbarbutton has not image when it is placed on toolbar on WindowsXP Luna
: Australis: "Sidebars" widget toolbarbutton has not image when it is placed on...
Status: VERIFIED FIXED
[Australis:P3-][aurora29-unaffected]
:
Product: Firefox
Classification: Client Software
Component: Toolbars and Customization (show other bugs)
: 30 Branch
: x86_64 Windows XP
-- normal (vote)
: Firefox 30
Assigned To: Shane Caraveo (:mixedpuppy)
:
: :Gijs
Mentors:
Depends on:
Blocks: australis-merge 960198
  Show dependency treegraph
 
Reported: 2014-03-01 11:02 PST by Alice0775 White
Modified: 2014-05-06 07:14 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
-
verified


Attachments
screenshot (83.13 KB, image/png)
2014-03-01 11:02 PST, Alice0775 White
no flags Details
Toolbar-XP.png patch (18.64 KB, patch)
2014-03-12 15:57 PDT, Shane Caraveo (:mixedpuppy)
gijskruitbosch+bugs: review+
Details | Diff | Splinter Review
Toolbar-XP.png (14.17 KB, image/png)
2014-03-12 15:58 PDT, Shane Caraveo (:mixedpuppy)
gijskruitbosch+bugs: ui‑review+
Details

Description User image Alice0775 White 2014-03-01 11:02:26 PST
Created attachment 8384173 [details]
screenshot

Steps To Reproduce:
1. Enter Customize Mode
2. Move "Sidebar" to toolbar
3. Exit Customize Mode

Actual Results:
"Sidebar" widget toolbarbutton is empty

(About unnecessary scrollbar, I will file a separate bug)
Comment 1 User image :Gijs 2014-03-02 06:39:57 PST
Duping because the other bug has slightly more info and it's essentially the same issue.

*** This bug has been marked as a duplicate of bug 978475 ***
Comment 2 User image Alice0775 White 2014-03-12 11:54:45 PDT
This problem re-appears on
https://hg.mozilla.org/mozilla-central/rev/44ae8462d6ab
Mozilla/5.0 (Windows NT 5.1; rv:30.0) Gecko/20100101 Firefox/30.0 ID:20140312030201
Comment 3 User image :Gijs 2014-03-12 12:56:17 PDT
(In reply to Alice0775 White from comment #2)
> This problem re-appears on
> https://hg.mozilla.org/mozilla-central/rev/44ae8462d6ab
> Mozilla/5.0 (Windows NT 5.1; rv:30.0) Gecko/20100101 Firefox/30.0
> ID:20140312030201

The scrollbars as well, or just the icon?
Comment 4 User image Alice0775 White 2014-03-12 13:20:24 PDT
just the icon.
Comment 5 User image Tim Nguyen :ntim 2014-03-12 14:41:47 PDT
This file :
http://mxr.mozilla.org/mozilla-central/source/browser/themes/windows/Toolbar-XP.png

is missing the sidebar icon.
Comment 6 User image Tim Nguyen :ntim 2014-03-12 14:46:34 PDT
Note that the backed out patch in bug 960198 had the Toolbar-XP.png icons packaged as Toolbar.png .
Comment 7 User image Tim Nguyen :ntim 2014-03-12 14:49:19 PDT
(In reply to Tim Nguyen [:ntim] from comment #6)
> Note that the backed out patch in bug 960198 had the Toolbar-XP.png icons
> packaged as Toolbar.png .

Here's the file for reference : http://hg.mozilla.org/mozilla-central/raw-file/29c4b76e7364/browser/themes/windows/Toolbar.png
Comment 8 User image Shane Caraveo (:mixedpuppy) 2014-03-12 15:57:16 PDT
Created attachment 8390110 [details] [diff] [review]
Toolbar-XP.png patch

actual image will also be attached
Comment 9 User image Shane Caraveo (:mixedpuppy) 2014-03-12 15:58:13 PDT
Created attachment 8390111 [details]
Toolbar-XP.png
Comment 10 User image :Gijs 2014-03-12 16:00:33 PDT
Comment on attachment 8390110 [details] [diff] [review]
Toolbar-XP.png patch

Review of attachment 8390110 [details] [diff] [review]:
-----------------------------------------------------------------

Assuming this was chucked through an image optimizer appropriately, r=me
Comment 11 User image Shane Caraveo (:mixedpuppy) 2014-03-12 16:49:18 PDT
https://hg.mozilla.org/integration/fx-team/rev/dbf07d71ffc1
Comment 12 User image Carsten Book [:Tomcat] 2014-03-13 05:22:27 PDT
https://hg.mozilla.org/mozilla-central/rev/dbf07d71ffc1
Comment 13 User image Andrei Vaida, QA [:avaida] – please ni? me 2014-05-06 07:14:59 PDT
I was able to confirm the fix for this bug on Windows XP 64-bit [1], using Firefox 30 Beta 2 (Build ID: 20140505140302).

[1] Mozilla/5.0 (Windows NT 5.2; WOW64; rv:30.0) Gecko/20100101 Firefox/30.0

Note You need to log in before you can comment on or make changes to this bug.